package com.yizhi.lecturer.application.vo;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师库分类表
 * </p>
 *
 * @author lingye
 * @since 2019-09-09
 */
@Data
@Api(tags = "LecturerClassificationVO", description = "讲师库分类表")
public class LecturerClassificationVO extends Model<LecturerClassificationVO> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "父id，默认为0 时，是最皇父级")
    private Long parentId;

    @ApiModelProperty(value = "父级ids")
    private String parentIds;

    @ApiModelProperty(value = "层级，默认是1,第一层")
    private Integer layer;

    @ApiModelProperty(value = "分类描述")
    private String classificationDes;

    @ApiModelProperty(value = "删除标记 1 是；0 否；")
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "创建人的id")
    private Long createById;

    @ApiModelProperty(value = "更新人的id")
    private Long updateById;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "站点id")
    private Integer sort;

    @ApiModelProperty(value = "上下架 1 上架，0 下架")
    private Integer status;

    @ApiModelProperty(value = "父皇级名称")
    private String topName;
    @ApiModelProperty(value = "父皇id")
    private Long topId;
    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
