package com.yizhi.lecturer.application.vo;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 讲师级别表VO
 * </p>
 *
 * @author lingye
 * @since 2019-11-05
 */
@Data
@Api(tags = "LecturerGradeVO")
public class LecturerGradeVO extends Model<LecturerGradeVO> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "级别名称")
    private String name;

    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "状态，1 上架，0 下架")
    private Integer status;

    @ApiModelProperty(value = "删除标志，1是，0否")
    @TableField("del_flag")
    private Integer delFlag;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
