package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师库分类表
 * </p>
 *
 * @author lingye
 * @since 2019-09-09
 */
@Data
@Api(tags = "LecturerClassificationVo", description = "讲师库分类表")
public class LecturerClassificationVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    
    private Long id;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "父id，默认为0 时，是最皇父级")
    
    private Long parentId;

    @ApiModelProperty(value = "父级ids")
    
    private String parentIds;

    @ApiModelProperty(value = "层级，默认是1,第一层")
    private Integer layer;

    @ApiModelProperty(value = "分类描述")
    
    private String classificationDes;

    @ApiModelProperty(value = "是否被删除 1 删除；0 正常；")
    
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    
    private Date updateTime;

    @ApiModelProperty(value = "创建人的id")
    
    private Long createById;

    @ApiModelProperty(value = "更新人的id")
    
    private Long updateById;

    @ApiModelProperty(value = "公司id")
    
    private Long companyId;

    @ApiModelProperty(value = "组织id")
    
    private Long orgId;

    @ApiModelProperty(value = "站点id")
    
    private Integer sort;

    @ApiModelProperty(value = "排序")
    
    private Long siteId;

    @ApiModelProperty(value = "上下架 1 上架，0 下架")
    private Integer status;

}
