package com.yizhi.application.Controller;


import com.yizhi.application.service.ILecturerInfoService;
import com.yizhi.lecturer.application.vo.LecturerInfoVO;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lingye
 * @since 2019-11-06
 */
@Api(value = "讲师基本信息", tags = "讲师基本信息")
@RestController
@RequestMapping("/info")
public class LecturerInfoController {
    @Autowired
    private ILecturerInfoService lecturerInfoService;

    /**
     * 新增讲师基本信息
     *
     * @param lecturerInfoVO
     * @return
     */
    @PostMapping(value = "/add")
    public LecturerInfoVO add(@RequestBody LecturerInfoVO lecturerInfoVO) {
        return lecturerInfoService.add(lecturerInfoVO);
    }

    /**
     * 修改讲师基本信息
     *
     * @param lecturerInfoVO
     * @return
     */
    @PostMapping(value = "/update")
    public LecturerInfoVO update(@RequestBody LecturerInfoVO lecturerInfoVO) {
        return lecturerInfoService.update(lecturerInfoVO);
    }

    /**
     * 获取基本信息
     *
     * @return
     */
    @GetMapping(value = "/get")
    public LecturerInfoVO get() {

        return lecturerInfoService.getBySiteId();
    }
}

