package com.yizhi.application.Controller.remote;


import com.yizhi.application.domain.LecturerDic;
import com.yizhi.application.service.ILecturerDicService;
import com.yizhi.lecturer.application.vo.domain.LecturerDicVo;
import io.swagger.annotations.Api;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 讲师库系统字典 前端控制器
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
@Api(value = "讲师字典")
@RequestMapping("/remote/lecturerdic")
public class LecturerDicController {
    @Autowired
    private ILecturerDicService lecturerDicService;



    @GetMapping("/list/code")
    public List<LecturerDicVo> getLecturerDicList(@RequestParam(name = "code") String code) {
        List<LecturerDic> list = lecturerDicService.getLecturerDicListByCode(code);
        List<LecturerDicVo> list2 = new ArrayList<>();
        for (LecturerDic l:list
             ) {
            LecturerDicVo l1=new LecturerDicVo();
            BeanUtils.copyProperties(l,l1);
            list2.add(l1);
        }
        return list2;
    }

}

