package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师库分类表
 * </p>
 *
 * @author lingye
 * @since 2019-09-09
 */
@Data
@Api(tags = "LecturerClassificationVo", description = "讲师库分类表")
@TableName("lecturer_classification")
public class LecturerClassification extends Model<LecturerClassification> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId
    private Long id;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "父id，默认为0 时，是最皇父级")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "父级ids")
    @TableField("parent_ids")
    private String parentIds;

    @ApiModelProperty(value = "层级，默认是1,第一层")
    private Integer layer;

    @ApiModelProperty(value = "分类描述")
    @TableField("classification_des")
    private String classificationDes;

    @ApiModelProperty(value = "是否被删除 1 删除；0 正常；")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "创建人的id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "更新人的id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(value = "公司id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "组织id")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "站点id")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "排序")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "上下架 1 上架，0 下架")
    private Integer status;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
