package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师库系统字典
 * </p>
 *
 * @author lilingye
 * @since 2019-04-23
 */
@Data
@ApiModel(value = "LecturerDicVo", description = "讲师库系统字典")
@TableName("lecturer_dic")
public class LecturerDic extends Model<LecturerDic> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "记录id")
    private Long id;

    @ApiModelProperty(value = "父节点id")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "字典名称")
    private String name;

    @ApiModelProperty(value = "字典代码")
    private String code;

    @ApiModelProperty(value = "描述")
    private String des;

    @ApiModelProperty(value = "启用状态 1 启用 2失效")
    private String status;

    @ApiModelProperty(value = "字典类型")
    private String type;

    @ApiModelProperty(value = "添加时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return null;
    }
}
