package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 讲师履历表
 * </p>
 *
 * @author lingye
 * @since 2019-04-23
 */
@Data
@ApiModel(value = "LecturerResumeVo", description = "讲师履历表")
@TableName("lecturer_resume")
public class LecturerResume extends Model<LecturerResume> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    @TableField("lecturer_id")
    private Long lecturerId;

    @ApiModelProperty(value = "个人履历内容")
    private String resume;

    @ApiModelProperty(value = "签名")
    @TableField("personal_sign")
    private String personalSign;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "1 删除")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;


    @Override
    protected Serializable pkVal() {
        return null;
    }
}
