package com.yizhi.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.domain.LecturerRelation;
import com.yizhi.lecturer.application.vo.RelationVOList;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 讲师关联 Mapper 接口
 * </p>
 *
 * @author lilingye
 * @since 2019-05-06
 */
@Repository
public interface LecturerRelationMapper extends BaseMapper<LecturerRelation> {
    /**
     * 获取用户的讲师关联的列表
     * @param page
     * @param id 讲师id
     * @return
     */

    List<RelationVOList> getRelationListByLecturerId(Page<RelationVOList> page, @Param("id") Long id);


}
