package com.yizhi.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.application.domain.LecturerRelation;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.lecturer.application.vo.RelationVO;
import com.yizhi.lecturer.application.vo.RelationVOList;

import java.util.List;

/**
 * <p>
 * 讲师关联课程表 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-05-06
 */
public interface ILecturerRelationService extends IService<LecturerRelation> {
    /**
     * 新增关联
     * @param relationVOS
     * @param lecturerId
     * @return
     */
    boolean insertLecturerRelation(List<LecturerRelation> relationVOS, Long lecturerId);

    /**
     * 通过讲师id 获取讲师列表
     * @param id
     * @return
     */
    List<RelationVO> getRelationsById(Long id);

    /**
     * 修改讲师关联
     * @param relationVOS
     * @param lecturerId
     * @return
     */
    boolean updateLecturerRelation(List<LecturerRelation> relationVOS, Long lecturerId);

    /**
     *获取关联列表
     * @param id
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<RelationVOList> getRelationListByLecturerId(Long id, Integer pageNo, Integer pageSize);

}
